##
# Safety check, check if /usr/lib is in the ld.so.conf, just to be sure
#
echo 
if ! egrep "^/usr/lib *$" /etc/ld.so.conf &> /dev/null; then
  echo "Adding "/usr/lib" to /etc/ld.so.conf"
  echo /usr/lib >> /etc/ld.so.conf
fi
ldconfig

##
# Removing of old, and creation of new Symlinks for the plugin-libraries
#
( cd usr/lib ; rm -rf libchatroom_pi.so )
( cd usr/lib ; ln -sf libchatroom_pi.so.0.0.0 libchatroom_pi.so )
( cd usr/lib ; rm -rf libchatroom_pi.so.0 )
( cd usr/lib ; ln -sf libchatroom_pi.so.0.0.0 libchatroom_pi.so.0 )
( cd usr/lib ; rm -rf libfloodprot.so )
( cd usr/lib ; ln -sf libfloodprot.so.0.0.0 libfloodprot.so )
( cd usr/lib ; rm -rf libfloodprot.so.0 )
( cd usr/lib ; ln -sf libfloodprot.so.0.0.0 libfloodprot.so.0 )
( cd usr/lib ; rm -rf libforbid_pi.so )
( cd usr/lib ; ln -sf libforbid_pi.so.0.0.0 libforbid_pi.so )
( cd usr/lib ; rm -rf libforbid_pi.so.0 )
( cd usr/lib ; ln -sf libforbid_pi.so.0.0.0 libforbid_pi.so.0 )
( cd usr/lib ; rm -rf libfunny_pi.so )
( cd usr/lib ; ln -sf libfunny_pi.so.0.0.0 libfunny_pi.so )
( cd usr/lib ; rm -rf libfunny_pi.so.0 )
( cd usr/lib ; ln -sf libfunny_pi.so.0.0.0 libfunny_pi.so.0 )
( cd usr/lib ; rm -rf libiplog_pi.so )
( cd usr/lib ; ln -sf libiplog_pi.so.0.0.0 libiplog_pi.so )
( cd usr/lib ; rm -rf libiplog_pi.so.0 )
( cd usr/lib ; ln -sf libiplog_pi.so.0.0.0 libiplog_pi.so.0 )
( cd usr/lib ; rm -rf libisp_pi.so )
( cd usr/lib ; ln -sf libisp_pi.so.0.0.0 libisp_pi.so )
( cd usr/lib ; rm -rf libisp_pi.so.0 )
( cd usr/lib ; ln -sf libisp_pi.so.0.0.0 libisp_pi.so.0 )
( cd usr/lib ; rm -rf libmessanger_pi.so )
( cd usr/lib ; ln -sf libmessanger_pi.so.0.0.0 libmessanger_pi.so )
( cd usr/lib ; rm -rf libmessanger_pi.so.0 )
( cd usr/lib ; ln -sf libmessanger_pi.so.0.0.0 libmessanger_pi.so.0 )
( cd usr/lib ; rm -rf libreplace_pi.so )
( cd usr/lib ; ln -sf libreplace_pi.so.0.0.0 libreplace_pi.so )
( cd usr/lib ; rm -rf libreplace_pi.so.0 )
( cd usr/lib ; ln -sf libreplace_pi.so.0.0.0 libreplace_pi.so.0 )
( cd usr/lib ; rm -rf libstats_pi.so )
( cd usr/lib ; ln -sf libstats_pi.so.0.0.0 libstats_pi.so )
( cd usr/lib ; rm -rf libstats_pi.so.0 )
( cd usr/lib ; ln -sf libstats_pi.so.0.0.0 libstats_pi.so.0 )
